Bug 443250 - Review Request: rubygem-rubyforge - A script which automates a limited set of rubyforge operations
Review Request: rubygem-rubyforge - A script which automates a limited set of...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 15:13 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 14:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2008-04-19 15:13:09 EDT
Spec URL: http://mcpierce.dyndns.org/~mcpierce/rubygem-rubyforge.spec
SRPM URL: http://mcpierce.dyndns.org/~mcpierce/rubygem-rubyforge-0.4.4-1.fc8.src.rpm
Description: A script which automates a limited set of rubyforge operations
Comment 1 Tom "spot" Callaway 2008-04-29 17:04:03 EDT
Review on -2:

Good:

- rpmlint checks return:
rubygem-rubyforge.src: W: mixed-use-of-spaces-and-tabs (spaces: line 41, tab:
line 7)
rubygem-rubyforge.noarch: E: non-executable-script
/usr/lib/ruby/gems/1.8/gems/rubyforge-0.4.4/lib/rubyforge.rb 0644

- package meets naming guidelines
- package meets packaging guidelines (generic and Ruby)
- license (GPLv2+ or Ruby) OK, text not in package, matches source
- spec file legible, in am. english
- source matches upstream (a955f92ebbb47953c3333c7f8428d3f168506cc4)
- package builds on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Please fix the non-executable-script error in a new SRPM/SPEC and I will approve.

You may also want to advise upstream to properly license their code, only one
file seems to mention the license, and the text of the license is not included
in the Gem. This is not a blocker for Fedora inclusion.
Comment 2 Darryl L. Pierce 2008-04-29 17:14:41 EDT
Updated the spec to set the execute bit on the rubyforge.rb script.

Spec: http://mcpierce.dyndns.org/~mcpierce/rubygem-rubyforge.spec
SRPM: http://mcpierce.dyndns.org/~mcpierce/rubygem-rubyforge-0.4.4-3.fc8.src.rpm
Comment 3 Tom "spot" Callaway 2008-04-29 17:20:26 EDT
APPROVED.
Comment 4 Darryl L. Pierce 2008-05-07 09:36:56 EDT
New Package CVS Request
=======================
Package Name: rubygem-rubyforge
Short Description: A script which automates a limited set of rubyforge operations
Owners: mcpierce
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2008-05-07 12:50:54 EDT
cvs done.
Comment 6 Darryl L. Pierce 2008-05-14 14:46:44 EDT
This is now properly building against rawhide, F8 and F9.

Note You need to log in before you can comment on or make changes to this bug.